Bug 1924916

Summary: PVC reported as Uploading when it is actually cloning
Product: OpenShift Container Platform Reporter: Adam Litke <alitke>
Component: Console Kubevirt PluginAssignee: Gilad Lekner <glekner>
Status: CLOSED ERRATA QA Contact: Guohua Ouyang <gouyang>
Severity: low Docs Contact:
Priority: low    
Version: 4.7CC: aos-bugs, cnv-qe-bugs, glekner, gouyang, ycui, yzamir
Target Milestone: ---   
Target Release: 4.8.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-07-27 22:40:58 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
Screenshot of erroneous status none

Description Adam Litke 2021-02-03 21:21:53 UTC
Description of problem:
When viewing a PVC in the console that is being cloned by CDI from a template, the status is reported as Uploading instead of cloning even though the associated 


Version-Release number of selected component (if applicable): 2.6.0


How reproducible:
Always.


Steps to Reproduce:
1. Create a VM from a template with a boot source defined
2. In the console, locate the PVC in the VM's namespace that has been created
3. View the summary page

Actual results: State is shown as "Uploading"


Expected results: State is shown as "Clone in progress" or "Cloning"


Additional info:

Comment 1 Adam Litke 2021-02-03 21:51:26 UTC
Created attachment 1754899 [details]
Screenshot of erroneous status

Comment 3 Guohua Ouyang 2021-04-15 01:32:10 UTC
the PVC status is always 'Bound' now.

Comment 5 Guohua Ouyang 2021-05-26 02:25:53 UTC
Move this bug to verified as the status is not "uploading", opened a new bug #1964756 for the "Bound" problem.

Comment 8 errata-xmlrpc 2021-07-27 22:40:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438